<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.unis.base.server.dao.TyCrkxxDao" >
  <resultMap id="BaseResultMap" type="com.unis.base.server.entity.TyCrkxxDO" >
    <id column="CRKID" property="crkid" jdbcType="VARCHAR" />
    <result column="CRKDH" property="crkdh" jdbcType="VARCHAR" />
    <result column="CRKLX" property="crklx" jdbcType="VARCHAR" />
    <result column="PZBM" property="pzbm" jdbcType="VARCHAR" />
    <result column="PZMC" property="pzmc" jdbcType="VARCHAR" />
    <result column="LSDJBM" property="lsdjbm" jdbcType="VARCHAR" />
    <result column="LSDJMC" property="lsdjmc" jdbcType="VARCHAR" />
    <result column="SHND" property="shnd" jdbcType="VARCHAR" />
    <result column="LSGB" property="lsgb" jdbcType="VARCHAR" />
    <result column="LSCD" property="lscd" jdbcType="VARCHAR" />
    <result column="QYDBH" property="qydbh" jdbcType="VARCHAR" />
    <result column="YPSLDW" property="ypsldw" jdbcType="DECIMAL" />
    <result column="DBSLDW" property="dbsldw" jdbcType="DECIMAL" />
    <result column="QYDD" property="qydd" jdbcType="VARCHAR" />
    <result column="QYRBM" property="qyrbm" jdbcType="VARCHAR" />
    <result column="QYRMC" property="qyrmc" jdbcType="VARCHAR" />
    <result column="JYRQ" property="jyrq" jdbcType="TIMESTAMP" />
    <result column="JYYJ" property="jyyj" jdbcType="VARCHAR" />
    <result column="JYJG" property="jyjg" jdbcType="VARCHAR" />
    <result column="CHECK_REMARK" property="checkRemark" jdbcType="VARCHAR" />
    <result column="CZMZ" property="czmz" jdbcType="DECIMAL" />
    <result column="MZJBYBM" property="mzjbybm" jdbcType="VARCHAR" />
    <result column="MZJBYMC" property="mzjbymc" jdbcType="VARCHAR" />
    <result column="MZCZSJ" property="mzczsj" jdbcType="TIMESTAMP" />
    <result column="CZPZ" property="czpz" jdbcType="DECIMAL" />
    <result column="PZJBYBM" property="pzjbybm" jdbcType="VARCHAR" />
    <result column="PZJBYMC" property="pzjbymc" jdbcType="VARCHAR" />
    <result column="PZCZSJ" property="pzczsj" jdbcType="TIMESTAMP" />
    <result column="CZJZ" property="czjz" jdbcType="DECIMAL" />
    <result column="XCKZL" property="xckzl" jdbcType="DECIMAL" />
    <result column="HGKZL" property="hgkzl" jdbcType="DECIMAL" />
    <result column="ZZJSZL" property="zzjszl" jdbcType="DECIMAL" />
    <result column="ZZJSJE" property="zzjsje" jdbcType="DECIMAL" />
    <result column="CYRDM" property="cyrdm" jdbcType="VARCHAR" />
    <result column="CYRMC" property="cyrmc" jdbcType="VARCHAR" />
    <result column="CYRDH" property="cyrdh" jdbcType="VARCHAR" />
    <result column="CYRSFZH" property="cyrsfzh" jdbcType="VARCHAR" />
    <result column="CYRDZ" property="cyrdz" jdbcType="VARCHAR" />
    <result column="KHDM" property="khdm" jdbcType="VARCHAR" />
    <result column="KHMC" property="khmc" jdbcType="VARCHAR" />
    <result column="KHSSQYDM" property="khssqydm" jdbcType="VARCHAR" />
    <result column="KHSSYQMC" property="khssyqmc" jdbcType="VARCHAR" />
    <result column="CFBH" property="cfbh" jdbcType="VARCHAR" />
    <result column="CFMC" property="cfmc" jdbcType="VARCHAR" />
    <result column="SSKDDM" property="sskddm" jdbcType="VARCHAR" />
    <result column="SSKDMC" property="sskdmc" jdbcType="VARCHAR" />
    <result column="SSQYDM" property="ssqydm" jdbcType="VARCHAR" />
    <result column="SSYQMC" property="ssyqmc" jdbcType="VARCHAR" />
    <result column="YSFS" property="ysfs" jdbcType="VARCHAR" />
    <result column="YSCCH" property="yscch" jdbcType="VARCHAR" />
    <result column="CRKDJSJ" property="crkdjsj" jdbcType="TIMESTAMP" />
    <result column="CMDJSJ" property="cmdjsj" jdbcType="TIMESTAMP" />
    <result column="MGZSRXM" property="mgzsrxm" jdbcType="VARCHAR" />
    <result column="SSTZDID" property="sstzdid" jdbcType="VARCHAR" />
    <result column="SSTZDH" property="sstzdh" jdbcType="VARCHAR" />
    <result column="SSJHXXID" property="ssjhxxid" jdbcType="VARCHAR" />
    <result column="SSJHH" property="ssjhh" jdbcType="VARCHAR" />
    <result column="SSHTXXID" property="sshtxxid" jdbcType="VARCHAR" />
    <result column="SSHTBM" property="sshtbm" jdbcType="VARCHAR" />
    <result column="STATUS" property="status" jdbcType="DECIMAL" />
    <result column="CREATOR" property="creator" jdbcType="VARCHAR" />
    <result column="CREATOR_CODE" property="creatorCode" jdbcType="VARCHAR" />
    <result column="CREATE_DATE" property="createDate" jdbcType="TIMESTAMP" />
    <result column="REFRESHER" property="refresher" jdbcType="VARCHAR" />
    <result column="REFRESHER_CODE" property="refresherCode" jdbcType="VARCHAR" />
    <result column="REFRESH_TIME" property="refreshTime" jdbcType="TIMESTAMP" />
    <result column="REMARK" property="remark" jdbcType="VARCHAR" />
  </resultMap>
  <sql id="Example_Where_Clause" >
    <where >
      <foreach collection="oredCriteria" item="criteria" separator="or" >
        <if test="criteria.valid" >
          <trim prefix="(" suffix=")" prefixOverrides="and" >
            <foreach collection="criteria.criteria" item="criterion" >
              <choose >
                <when test="criterion.noValue" >
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue" >
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue" >
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue" >
                  and ${criterion.condition}
                  <foreach collection="criterion.value" item="listItem" open="(" close=")" separator="," >
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Update_By_Example_Where_Clause" >
    <where >
      <foreach collection="example.oredCriteria" item="criteria" separator="or" >
        <if test="criteria.valid" >
          <trim prefix="(" suffix=")" prefixOverrides="and" >
            <foreach collection="criteria.criteria" item="criterion" >
              <choose >
                <when test="criterion.noValue" >
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue" >
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue" >
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue" >
                  and ${criterion.condition}
                  <foreach collection="criterion.value" item="listItem" open="(" close=")" separator="," >
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Base_Column_List" >
    CRKID, CRKDH, CRKLX, PZBM, PZMC, LSDJBM, LSDJMC, SHND, LSGB, LSCD, QYDBH, YPSLDW, 
    DBSLDW, QYDD, QYRBM, QYRMC, JYRQ, JYYJ, JYJG, CHECK_REMARK, CZMZ, MZJBYBM, MZJBYMC, 
    MZCZSJ, CZPZ, PZJBYBM, PZJBYMC, PZCZSJ, CZJZ, XCKZL, HGKZL, ZZJSZL, ZZJSJE, CYRDM, 
    CYRMC, CYRDH, CYRSFZH, CYRDZ, KHDM, KHMC, KHSSQYDM, KHSSYQMC, CFBH, CFMC, SSKDDM, 
    SSKDMC, SSQYDM, SSYQMC, YSFS, YSCCH, CRKDJSJ, CMDJSJ, MGZSRXM, SSTZDID, SSTZDH, SSJHXXID, 
    SSJHH, SSHTXXID, SSHTBM, STATUS, CREATOR, CREATOR_CODE, CREATE_DATE, REFRESHER, REFRESHER_CODE, 
    REFRESH_TIME, REMARK
  </sql>
  <!-- <select id="selectByExample" resultMap="BaseResultMap" parameterType="com.unis.base.server.example.TyCrkxxExample" >
    select
    <if test="distinct" >
      distinct
    </if>
    <include refid="Base_Column_List" />
    from TY_CRKXX
    <if test="_parameter != null" >
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null" >
      order by ${orderByClause}
    </if>
  </select> -->
  <!-- <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.String" >
    select 
    <include refid="Base_Column_List" />
    from TY_CRKXX
    where CRKID = #{crkid,jdbcType=VARCHAR}
  </select> -->
  <select id="selectByKey" resultMap="BaseResultMap" parameterType="java.lang.String" >
    select 
    <include refid="Base_Column_List" />
    from TY_CRKXX
    where CRKID = #{crkid,jdbcType=VARCHAR}
  </select>
 <!--  <delete id="deleteByPrimaryKey" parameterType="java.lang.String" >
    delete from TY_CRKXX
    where CRKID = #{crkid,jdbcType=VARCHAR}
  </delete> -->
  <!-- <delete id="deleteByExample" parameterType="com.unis.base.server.example.TyCrkxxExample" >
    delete from TY_CRKXX
    <if test="_parameter != null" >
      <include refid="Example_Where_Clause" />
    </if>
  </delete> -->
  <insert id="insert" parameterType="com.unis.base.server.entity.TyCrkxxDO" >
    insert into TY_CRKXX (CRKID, CRKDH, CRKLX, 
      PZBM, PZMC, LSDJBM, 
      LSDJMC, SHND, LSGB, 
      LSCD, QYDBH, YPSLDW, 
      DBSLDW, QYDD, QYRBM, 
      QYRMC, JYRQ, JYYJ, 
      JYJG, CHECK_REMARK, CZMZ, 
      MZJBYBM, MZJBYMC, MZCZSJ, 
      CZPZ, PZJBYBM, PZJBYMC, 
      PZCZSJ, CZJZ, XCKZL, 
      HGKZL, ZZJSZL, ZZJSJE, 
      CYRDM, CYRMC, CYRDH, 
      CYRSFZH, CYRDZ, KHDM, 
      KHMC, KHSSQYDM, KHSSYQMC, 
      CFBH, CFMC, SSKDDM, 
      SSKDMC, SSQYDM, SSYQMC, 
      YSFS, YSCCH, CRKDJSJ, 
      CMDJSJ, MGZSRXM, SSTZDID, 
      SSTZDH, SSJHXXID, SSJHH, 
      SSHTXXID, SSHTBM, STATUS, 
      CREATOR, CREATOR_CODE, CREATE_DATE, 
      REFRESHER, REFRESHER_CODE, REFRESH_TIME, 
      REMARK)
    values (#{crkid,jdbcType=VARCHAR}, #{crkdh,jdbcType=VARCHAR}, #{crklx,jdbcType=VARCHAR}, 
      #{pzbm,jdbcType=VARCHAR}, #{pzmc,jdbcType=VARCHAR}, #{lsdjbm,jdbcType=VARCHAR}, 
      #{lsdjmc,jdbcType=VARCHAR}, #{shnd,jdbcType=VARCHAR}, #{lsgb,jdbcType=VARCHAR}, 
      #{lscd,jdbcType=VARCHAR}, #{qydbh,jdbcType=VARCHAR}, #{ypsldw,jdbcType=DECIMAL}, 
      #{dbsldw,jdbcType=DECIMAL}, #{qydd,jdbcType=VARCHAR}, #{qyrbm,jdbcType=VARCHAR}, 
      #{qyrmc,jdbcType=VARCHAR}, #{jyrq,jdbcType=TIMESTAMP}, #{jyyj,jdbcType=VARCHAR}, 
      #{jyjg,jdbcType=VARCHAR}, #{checkRemark,jdbcType=VARCHAR}, #{czmz,jdbcType=DECIMAL}, 
      #{mzjbybm,jdbcType=VARCHAR}, #{mzjbymc,jdbcType=VARCHAR}, #{mzczsj,jdbcType=TIMESTAMP}, 
      #{czpz,jdbcType=DECIMAL}, #{pzjbybm,jdbcType=VARCHAR}, #{pzjbymc,jdbcType=VARCHAR}, 
      #{pzczsj,jdbcType=TIMESTAMP}, #{czjz,jdbcType=DECIMAL}, #{xckzl,jdbcType=DECIMAL}, 
      #{hgkzl,jdbcType=DECIMAL}, #{zzjszl,jdbcType=DECIMAL}, #{zzjsje,jdbcType=DECIMAL}, 
      #{cyrdm,jdbcType=VARCHAR}, #{cyrmc,jdbcType=VARCHAR}, #{cyrdh,jdbcType=VARCHAR}, 
      #{cyrsfzh,jdbcType=VARCHAR}, #{cyrdz,jdbcType=VARCHAR}, #{khdm,jdbcType=VARCHAR}, 
      #{khmc,jdbcType=VARCHAR}, #{khssqydm,jdbcType=VARCHAR}, #{khssyqmc,jdbcType=VARCHAR}, 
      #{cfbh,jdbcType=VARCHAR}, #{cfmc,jdbcType=VARCHAR}, #{sskddm,jdbcType=VARCHAR}, 
      #{sskdmc,jdbcType=VARCHAR}, #{ssqydm,jdbcType=VARCHAR}, #{ssyqmc,jdbcType=VARCHAR}, 
      #{ysfs,jdbcType=VARCHAR}, #{yscch,jdbcType=VARCHAR}, #{crkdjsj,jdbcType=TIMESTAMP}, 
      #{cmdjsj,jdbcType=TIMESTAMP}, #{mgzsrxm,jdbcType=VARCHAR}, #{sstzdid,jdbcType=VARCHAR}, 
      #{sstzdh,jdbcType=VARCHAR}, #{ssjhxxid,jdbcType=VARCHAR}, #{ssjhh,jdbcType=VARCHAR}, 
      #{sshtxxid,jdbcType=VARCHAR}, #{sshtbm,jdbcType=VARCHAR}, #{status,jdbcType=DECIMAL}, 
      #{creator,jdbcType=VARCHAR}, #{creatorCode,jdbcType=VARCHAR}, #{createDate,jdbcType=TIMESTAMP}, 
      #{refresher,jdbcType=VARCHAR}, #{refresherCode,jdbcType=VARCHAR}, #{refreshTime,jdbcType=TIMESTAMP}, 
      #{remark,jdbcType=VARCHAR})
  </insert>
  <insert id="insertSelective" parameterType="com.unis.base.server.entity.TyCrkxxDO" >
    insert into TY_CRKXX
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="crkid != null" >
        CRKID,
      </if>
      <if test="crkdh != null" >
        CRKDH,
      </if>
      <if test="crklx != null" >
        CRKLX,
      </if>
      <if test="pzbm != null" >
        PZBM,
      </if>
      <if test="pzmc != null" >
        PZMC,
      </if>
      <if test="lsdjbm != null" >
        LSDJBM,
      </if>
      <if test="lsdjmc != null" >
        LSDJMC,
      </if>
      <if test="shnd != null" >
        SHND,
      </if>
      <if test="lsgb != null" >
        LSGB,
      </if>
      <if test="lscd != null" >
        LSCD,
      </if>
      <if test="qydbh != null" >
        QYDBH,
      </if>
      <if test="ypsldw != null" >
        YPSLDW,
      </if>
      <if test="dbsldw != null" >
        DBSLDW,
      </if>
      <if test="qydd != null" >
        QYDD,
      </if>
      <if test="qyrbm != null" >
        QYRBM,
      </if>
      <if test="qyrmc != null" >
        QYRMC,
      </if>
      <if test="jyrq != null" >
        JYRQ,
      </if>
      <if test="jyyj != null" >
        JYYJ,
      </if>
      <if test="jyjg != null" >
        JYJG,
      </if>
      <if test="checkRemark != null" >
        CHECK_REMARK,
      </if>
      <if test="czmz != null" >
        CZMZ,
      </if>
      <if test="mzjbybm != null" >
        MZJBYBM,
      </if>
      <if test="mzjbymc != null" >
        MZJBYMC,
      </if>
      <if test="mzczsj != null" >
        MZCZSJ,
      </if>
      <if test="czpz != null" >
        CZPZ,
      </if>
      <if test="pzjbybm != null" >
        PZJBYBM,
      </if>
      <if test="pzjbymc != null" >
        PZJBYMC,
      </if>
      <if test="pzczsj != null" >
        PZCZSJ,
      </if>
      <if test="czjz != null" >
        CZJZ,
      </if>
      <if test="xckzl != null" >
        XCKZL,
      </if>
      <if test="hgkzl != null" >
        HGKZL,
      </if>
      <if test="zzjszl != null" >
        ZZJSZL,
      </if>
      <if test="zzjsje != null" >
        ZZJSJE,
      </if>
      <if test="cyrdm != null" >
        CYRDM,
      </if>
      <if test="cyrmc != null" >
        CYRMC,
      </if>
      <if test="cyrdh != null" >
        CYRDH,
      </if>
      <if test="cyrsfzh != null" >
        CYRSFZH,
      </if>
      <if test="cyrdz != null" >
        CYRDZ,
      </if>
      <if test="khdm != null" >
        KHDM,
      </if>
      <if test="khmc != null" >
        KHMC,
      </if>
      <if test="khssqydm != null" >
        KHSSQYDM,
      </if>
      <if test="khssyqmc != null" >
        KHSSYQMC,
      </if>
      <if test="cfbh != null" >
        CFBH,
      </if>
      <if test="cfmc != null" >
        CFMC,
      </if>
      <if test="sskddm != null" >
        SSKDDM,
      </if>
      <if test="sskdmc != null" >
        SSKDMC,
      </if>
      <if test="ssqydm != null" >
        SSQYDM,
      </if>
      <if test="ssyqmc != null" >
        SSYQMC,
      </if>
      <if test="ysfs != null" >
        YSFS,
      </if>
      <if test="yscch != null" >
        YSCCH,
      </if>
      <if test="crkdjsj != null" >
        CRKDJSJ,
      </if>
      <if test="cmdjsj != null" >
        CMDJSJ,
      </if>
      <if test="mgzsrxm != null" >
        MGZSRXM,
      </if>
      <if test="sstzdid != null" >
        SSTZDID,
      </if>
      <if test="sstzdh != null" >
        SSTZDH,
      </if>
      <if test="ssjhxxid != null" >
        SSJHXXID,
      </if>
      <if test="ssjhh != null" >
        SSJHH,
      </if>
      <if test="sshtxxid != null" >
        SSHTXXID,
      </if>
      <if test="sshtbm != null" >
        SSHTBM,
      </if>
      <if test="status != null" >
        STATUS,
      </if>
      <if test="creator != null" >
        CREATOR,
      </if>
      <if test="creatorCode != null" >
        CREATOR_CODE,
      </if>
      <if test="createDate != null" >
        CREATE_DATE,
      </if>
      <if test="refresher != null" >
        REFRESHER,
      </if>
      <if test="refresherCode != null" >
        REFRESHER_CODE,
      </if>
      <if test="refreshTime != null" >
        REFRESH_TIME,
      </if>
      <if test="remark != null" >
        REMARK,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="crkid != null" >
        #{crkid,jdbcType=VARCHAR},
      </if>
      <if test="crkdh != null" >
        #{crkdh,jdbcType=VARCHAR},
      </if>
      <if test="crklx != null" >
        #{crklx,jdbcType=VARCHAR},
      </if>
      <if test="pzbm != null" >
        #{pzbm,jdbcType=VARCHAR},
      </if>
      <if test="pzmc != null" >
        #{pzmc,jdbcType=VARCHAR},
      </if>
      <if test="lsdjbm != null" >
        #{lsdjbm,jdbcType=VARCHAR},
      </if>
      <if test="lsdjmc != null" >
        #{lsdjmc,jdbcType=VARCHAR},
      </if>
      <if test="shnd != null" >
        #{shnd,jdbcType=VARCHAR},
      </if>
      <if test="lsgb != null" >
        #{lsgb,jdbcType=VARCHAR},
      </if>
      <if test="lscd != null" >
        #{lscd,jdbcType=VARCHAR},
      </if>
      <if test="qydbh != null" >
        #{qydbh,jdbcType=VARCHAR},
      </if>
      <if test="ypsldw != null" >
        #{ypsldw,jdbcType=DECIMAL},
      </if>
      <if test="dbsldw != null" >
        #{dbsldw,jdbcType=DECIMAL},
      </if>
      <if test="qydd != null" >
        #{qydd,jdbcType=VARCHAR},
      </if>
      <if test="qyrbm != null" >
        #{qyrbm,jdbcType=VARCHAR},
      </if>
      <if test="qyrmc != null" >
        #{qyrmc,jdbcType=VARCHAR},
      </if>
      <if test="jyrq != null" >
        #{jyrq,jdbcType=TIMESTAMP},
      </if>
      <if test="jyyj != null" >
        #{jyyj,jdbcType=VARCHAR},
      </if>
      <if test="jyjg != null" >
        #{jyjg,jdbcType=VARCHAR},
      </if>
      <if test="checkRemark != null" >
        #{checkRemark,jdbcType=VARCHAR},
      </if>
      <if test="czmz != null" >
        #{czmz,jdbcType=DECIMAL},
      </if>
      <if test="mzjbybm != null" >
        #{mzjbybm,jdbcType=VARCHAR},
      </if>
      <if test="mzjbymc != null" >
        #{mzjbymc,jdbcType=VARCHAR},
      </if>
      <if test="mzczsj != null" >
        #{mzczsj,jdbcType=TIMESTAMP},
      </if>
      <if test="czpz != null" >
        #{czpz,jdbcType=DECIMAL},
      </if>
      <if test="pzjbybm != null" >
        #{pzjbybm,jdbcType=VARCHAR},
      </if>
      <if test="pzjbymc != null" >
        #{pzjbymc,jdbcType=VARCHAR},
      </if>
      <if test="pzczsj != null" >
        #{pzczsj,jdbcType=TIMESTAMP},
      </if>
      <if test="czjz != null" >
        #{czjz,jdbcType=DECIMAL},
      </if>
      <if test="xckzl != null" >
        #{xckzl,jdbcType=DECIMAL},
      </if>
      <if test="hgkzl != null" >
        #{hgkzl,jdbcType=DECIMAL},
      </if>
      <if test="zzjszl != null" >
        #{zzjszl,jdbcType=DECIMAL},
      </if>
      <if test="zzjsje != null" >
        #{zzjsje,jdbcType=DECIMAL},
      </if>
      <if test="cyrdm != null" >
        #{cyrdm,jdbcType=VARCHAR},
      </if>
      <if test="cyrmc != null" >
        #{cyrmc,jdbcType=VARCHAR},
      </if>
      <if test="cyrdh != null" >
        #{cyrdh,jdbcType=VARCHAR},
      </if>
      <if test="cyrsfzh != null" >
        #{cyrsfzh,jdbcType=VARCHAR},
      </if>
      <if test="cyrdz != null" >
        #{cyrdz,jdbcType=VARCHAR},
      </if>
      <if test="khdm != null" >
        #{khdm,jdbcType=VARCHAR},
      </if>
      <if test="khmc != null" >
        #{khmc,jdbcType=VARCHAR},
      </if>
      <if test="khssqydm != null" >
        #{khssqydm,jdbcType=VARCHAR},
      </if>
      <if test="khssyqmc != null" >
        #{khssyqmc,jdbcType=VARCHAR},
      </if>
      <if test="cfbh != null" >
        #{cfbh,jdbcType=VARCHAR},
      </if>
      <if test="cfmc != null" >
        #{cfmc,jdbcType=VARCHAR},
      </if>
      <if test="sskddm != null" >
        #{sskddm,jdbcType=VARCHAR},
      </if>
      <if test="sskdmc != null" >
        #{sskdmc,jdbcType=VARCHAR},
      </if>
      <if test="ssqydm != null" >
        #{ssqydm,jdbcType=VARCHAR},
      </if>
      <if test="ssyqmc != null" >
        #{ssyqmc,jdbcType=VARCHAR},
      </if>
      <if test="ysfs != null" >
        #{ysfs,jdbcType=VARCHAR},
      </if>
      <if test="yscch != null" >
        #{yscch,jdbcType=VARCHAR},
      </if>
      <if test="crkdjsj != null" >
        #{crkdjsj,jdbcType=TIMESTAMP},
      </if>
      <if test="cmdjsj != null" >
        #{cmdjsj,jdbcType=TIMESTAMP},
      </if>
      <if test="mgzsrxm != null" >
        #{mgzsrxm,jdbcType=VARCHAR},
      </if>
      <if test="sstzdid != null" >
        #{sstzdid,jdbcType=VARCHAR},
      </if>
      <if test="sstzdh != null" >
        #{sstzdh,jdbcType=VARCHAR},
      </if>
      <if test="ssjhxxid != null" >
        #{ssjhxxid,jdbcType=VARCHAR},
      </if>
      <if test="ssjhh != null" >
        #{ssjhh,jdbcType=VARCHAR},
      </if>
      <if test="sshtxxid != null" >
        #{sshtxxid,jdbcType=VARCHAR},
      </if>
      <if test="sshtbm != null" >
        #{sshtbm,jdbcType=VARCHAR},
      </if>
      <if test="status != null" >
        #{status,jdbcType=DECIMAL},
      </if>
      <if test="creator != null" >
        #{creator,jdbcType=VARCHAR},
      </if>
      <if test="creatorCode != null" >
        #{creatorCode,jdbcType=VARCHAR},
      </if>
      <if test="createDate != null" >
        #{createDate,jdbcType=TIMESTAMP},
      </if>
      <if test="refresher != null" >
        #{refresher,jdbcType=VARCHAR},
      </if>
      <if test="refresherCode != null" >
        #{refresherCode,jdbcType=VARCHAR},
      </if>
      <if test="refreshTime != null" >
        #{refreshTime,jdbcType=TIMESTAMP},
      </if>
      <if test="remark != null" >
        #{remark,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
  <select id="countByExample" parameterType="com.unis.base.server.example.TyCrkxxExample" resultType="java.lang.Integer" >
    select count(1) from TY_CRKXX
    <if test="_parameter != null" >
      <include refid="Example_Where_Clause" />
    </if>
  </select>
  <!-- <update id="updateByExampleSelective" parameterType="map" >
    update TY_CRKXX
    <set >
      <if test="record.crkid != null" >
        CRKID = #{record.crkid,jdbcType=VARCHAR},
      </if>
      <if test="record.crkdh != null" >
        CRKDH = #{record.crkdh,jdbcType=VARCHAR},
      </if>
      <if test="record.crklx != null" >
        CRKLX = #{record.crklx,jdbcType=VARCHAR},
      </if>
      <if test="record.pzbm != null" >
        PZBM = #{record.pzbm,jdbcType=VARCHAR},
      </if>
      <if test="record.pzmc != null" >
        PZMC = #{record.pzmc,jdbcType=VARCHAR},
      </if>
      <if test="record.lsdjbm != null" >
        LSDJBM = #{record.lsdjbm,jdbcType=VARCHAR},
      </if>
      <if test="record.lsdjmc != null" >
        LSDJMC = #{record.lsdjmc,jdbcType=VARCHAR},
      </if>
      <if test="record.shnd != null" >
        SHND = #{record.shnd,jdbcType=VARCHAR},
      </if>
      <if test="record.lsgb != null" >
        LSGB = #{record.lsgb,jdbcType=VARCHAR},
      </if>
      <if test="record.lscd != null" >
        LSCD = #{record.lscd,jdbcType=VARCHAR},
      </if>
      <if test="record.qydbh != null" >
        QYDBH = #{record.qydbh,jdbcType=VARCHAR},
      </if>
      <if test="record.ypsldw != null" >
        YPSLDW = #{record.ypsldw,jdbcType=DECIMAL},
      </if>
      <if test="record.dbsldw != null" >
        DBSLDW = #{record.dbsldw,jdbcType=DECIMAL},
      </if>
      <if test="record.qydd != null" >
        QYDD = #{record.qydd,jdbcType=VARCHAR},
      </if>
      <if test="record.qyrbm != null" >
        QYRBM = #{record.qyrbm,jdbcType=VARCHAR},
      </if>
      <if test="record.qyrmc != null" >
        QYRMC = #{record.qyrmc,jdbcType=VARCHAR},
      </if>
      <if test="record.jyrq != null" >
        JYRQ = #{record.jyrq,jdbcType=TIMESTAMP},
      </if>
      <if test="record.jyyj != null" >
        JYYJ = #{record.jyyj,jdbcType=VARCHAR},
      </if>
      <if test="record.jyjg != null" >
        JYJG = #{record.jyjg,jdbcType=VARCHAR},
      </if>
      <if test="record.checkRemark != null" >
        CHECK_REMARK = #{record.checkRemark,jdbcType=VARCHAR},
      </if>
      <if test="record.czmz != null" >
        CZMZ = #{record.czmz,jdbcType=DECIMAL},
      </if>
      <if test="record.mzjbybm != null" >
        MZJBYBM = #{record.mzjbybm,jdbcType=VARCHAR},
      </if>
      <if test="record.mzjbymc != null" >
        MZJBYMC = #{record.mzjbymc,jdbcType=VARCHAR},
      </if>
      <if test="record.mzczsj != null" >
        MZCZSJ = #{record.mzczsj,jdbcType=TIMESTAMP},
      </if>
      <if test="record.czpz != null" >
        CZPZ = #{record.czpz,jdbcType=DECIMAL},
      </if>
      <if test="record.pzjbybm != null" >
        PZJBYBM = #{record.pzjbybm,jdbcType=VARCHAR},
      </if>
      <if test="record.pzjbymc != null" >
        PZJBYMC = #{record.pzjbymc,jdbcType=VARCHAR},
      </if>
      <if test="record.pzczsj != null" >
        PZCZSJ = #{record.pzczsj,jdbcType=TIMESTAMP},
      </if>
      <if test="record.czjz != null" >
        CZJZ = #{record.czjz,jdbcType=DECIMAL},
      </if>
      <if test="record.xckzl != null" >
        XCKZL = #{record.xckzl,jdbcType=DECIMAL},
      </if>
      <if test="record.hgkzl != null" >
        HGKZL = #{record.hgkzl,jdbcType=DECIMAL},
      </if>
      <if test="record.zzjszl != null" >
        ZZJSZL = #{record.zzjszl,jdbcType=DECIMAL},
      </if>
      <if test="record.zzjsje != null" >
        ZZJSJE = #{record.zzjsje,jdbcType=DECIMAL},
      </if>
      <if test="record.cyrdm != null" >
        CYRDM = #{record.cyrdm,jdbcType=VARCHAR},
      </if>
      <if test="record.cyrmc != null" >
        CYRMC = #{record.cyrmc,jdbcType=VARCHAR},
      </if>
      <if test="record.cyrdh != null" >
        CYRDH = #{record.cyrdh,jdbcType=VARCHAR},
      </if>
      <if test="record.cyrsfzh != null" >
        CYRSFZH = #{record.cyrsfzh,jdbcType=VARCHAR},
      </if>
      <if test="record.cyrdz != null" >
        CYRDZ = #{record.cyrdz,jdbcType=VARCHAR},
      </if>
      <if test="record.khdm != null" >
        KHDM = #{record.khdm,jdbcType=VARCHAR},
      </if>
      <if test="record.khmc != null" >
        KHMC = #{record.khmc,jdbcType=VARCHAR},
      </if>
      <if test="record.khssqydm != null" >
        KHSSQYDM = #{record.khssqydm,jdbcType=VARCHAR},
      </if>
      <if test="record.khssyqmc != null" >
        KHSSYQMC = #{record.khssyqmc,jdbcType=VARCHAR},
      </if>
      <if test="record.cfbh != null" >
        CFBH = #{record.cfbh,jdbcType=VARCHAR},
      </if>
      <if test="record.cfmc != null" >
        CFMC = #{record.cfmc,jdbcType=VARCHAR},
      </if>
      <if test="record.sskddm != null" >
        SSKDDM = #{record.sskddm,jdbcType=VARCHAR},
      </if>
      <if test="record.sskdmc != null" >
        SSKDMC = #{record.sskdmc,jdbcType=VARCHAR},
      </if>
      <if test="record.ssqydm != null" >
        SSQYDM = #{record.ssqydm,jdbcType=VARCHAR},
      </if>
      <if test="record.ssyqmc != null" >
        SSYQMC = #{record.ssyqmc,jdbcType=VARCHAR},
      </if>
      <if test="record.ysfs != null" >
        YSFS = #{record.ysfs,jdbcType=VARCHAR},
      </if>
      <if test="record.yscch != null" >
        YSCCH = #{record.yscch,jdbcType=VARCHAR},
      </if>
      <if test="record.crkdjsj != null" >
        CRKDJSJ = #{record.crkdjsj,jdbcType=TIMESTAMP},
      </if>
      <if test="record.cmdjsj != null" >
        CMDJSJ = #{record.cmdjsj,jdbcType=TIMESTAMP},
      </if>
      <if test="record.mgzsrxm != null" >
        MGZSRXM = #{record.mgzsrxm,jdbcType=VARCHAR},
      </if>
      <if test="record.sstzdid != null" >
        SSTZDID = #{record.sstzdid,jdbcType=VARCHAR},
      </if>
      <if test="record.sstzdh != null" >
        SSTZDH = #{record.sstzdh,jdbcType=VARCHAR},
      </if>
      <if test="record.ssjhxxid != null" >
        SSJHXXID = #{record.ssjhxxid,jdbcType=VARCHAR},
      </if>
      <if test="record.ssjhh != null" >
        SSJHH = #{record.ssjhh,jdbcType=VARCHAR},
      </if>
      <if test="record.sshtxxid != null" >
        SSHTXXID = #{record.sshtxxid,jdbcType=VARCHAR},
      </if>
      <if test="record.sshtbm != null" >
        SSHTBM = #{record.sshtbm,jdbcType=VARCHAR},
      </if>
      <if test="record.status != null" >
        STATUS = #{record.status,jdbcType=DECIMAL},
      </if>
      <if test="record.creator != null" >
        CREATOR = #{record.creator,jdbcType=VARCHAR},
      </if>
      <if test="record.creatorCode != null" >
        CREATOR_CODE = #{record.creatorCode,jdbcType=VARCHAR},
      </if>
      <if test="record.createDate != null" >
        CREATE_DATE = #{record.createDate,jdbcType=TIMESTAMP},
      </if>
      <if test="record.refresher != null" >
        REFRESHER = #{record.refresher,jdbcType=VARCHAR},
      </if>
      <if test="record.refresherCode != null" >
        REFRESHER_CODE = #{record.refresherCode,jdbcType=VARCHAR},
      </if>
      <if test="record.refreshTime != null" >
        REFRESH_TIME = #{record.refreshTime,jdbcType=TIMESTAMP},
      </if>
      <if test="record.remark != null" >
        REMARK = #{record.remark,jdbcType=VARCHAR},
      </if>
    </set>
    <if test="_parameter != null" >
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update> -->
  <!-- <update id="updateByExample" parameterType="map" >
    update TY_CRKXX
    set CRKID = #{record.crkid,jdbcType=VARCHAR},
      CRKDH = #{record.crkdh,jdbcType=VARCHAR},
      CRKLX = #{record.crklx,jdbcType=VARCHAR},
      PZBM = #{record.pzbm,jdbcType=VARCHAR},
      PZMC = #{record.pzmc,jdbcType=VARCHAR},
      LSDJBM = #{record.lsdjbm,jdbcType=VARCHAR},
      LSDJMC = #{record.lsdjmc,jdbcType=VARCHAR},
      SHND = #{record.shnd,jdbcType=VARCHAR},
      LSGB = #{record.lsgb,jdbcType=VARCHAR},
      LSCD = #{record.lscd,jdbcType=VARCHAR},
      QYDBH = #{record.qydbh,jdbcType=VARCHAR},
      YPSLDW = #{record.ypsldw,jdbcType=DECIMAL},
      DBSLDW = #{record.dbsldw,jdbcType=DECIMAL},
      QYDD = #{record.qydd,jdbcType=VARCHAR},
      QYRBM = #{record.qyrbm,jdbcType=VARCHAR},
      QYRMC = #{record.qyrmc,jdbcType=VARCHAR},
      JYRQ = #{record.jyrq,jdbcType=TIMESTAMP},
      JYYJ = #{record.jyyj,jdbcType=VARCHAR},
      JYJG = #{record.jyjg,jdbcType=VARCHAR},
      CHECK_REMARK = #{record.checkRemark,jdbcType=VARCHAR},
      CZMZ = #{record.czmz,jdbcType=DECIMAL},
      MZJBYBM = #{record.mzjbybm,jdbcType=VARCHAR},
      MZJBYMC = #{record.mzjbymc,jdbcType=VARCHAR},
      MZCZSJ = #{record.mzczsj,jdbcType=TIMESTAMP},
      CZPZ = #{record.czpz,jdbcType=DECIMAL},
      PZJBYBM = #{record.pzjbybm,jdbcType=VARCHAR},
      PZJBYMC = #{record.pzjbymc,jdbcType=VARCHAR},
      PZCZSJ = #{record.pzczsj,jdbcType=TIMESTAMP},
      CZJZ = #{record.czjz,jdbcType=DECIMAL},
      XCKZL = #{record.xckzl,jdbcType=DECIMAL},
      HGKZL = #{record.hgkzl,jdbcType=DECIMAL},
      ZZJSZL = #{record.zzjszl,jdbcType=DECIMAL},
      ZZJSJE = #{record.zzjsje,jdbcType=DECIMAL},
      CYRDM = #{record.cyrdm,jdbcType=VARCHAR},
      CYRMC = #{record.cyrmc,jdbcType=VARCHAR},
      CYRDH = #{record.cyrdh,jdbcType=VARCHAR},
      CYRSFZH = #{record.cyrsfzh,jdbcType=VARCHAR},
      CYRDZ = #{record.cyrdz,jdbcType=VARCHAR},
      KHDM = #{record.khdm,jdbcType=VARCHAR},
      KHMC = #{record.khmc,jdbcType=VARCHAR},
      KHSSQYDM = #{record.khssqydm,jdbcType=VARCHAR},
      KHSSYQMC = #{record.khssyqmc,jdbcType=VARCHAR},
      CFBH = #{record.cfbh,jdbcType=VARCHAR},
      CFMC = #{record.cfmc,jdbcType=VARCHAR},
      SSKDDM = #{record.sskddm,jdbcType=VARCHAR},
      SSKDMC = #{record.sskdmc,jdbcType=VARCHAR},
      SSQYDM = #{record.ssqydm,jdbcType=VARCHAR},
      SSYQMC = #{record.ssyqmc,jdbcType=VARCHAR},
      YSFS = #{record.ysfs,jdbcType=VARCHAR},
      YSCCH = #{record.yscch,jdbcType=VARCHAR},
      CRKDJSJ = #{record.crkdjsj,jdbcType=TIMESTAMP},
      CMDJSJ = #{record.cmdjsj,jdbcType=TIMESTAMP},
      MGZSRXM = #{record.mgzsrxm,jdbcType=VARCHAR},
      SSTZDID = #{record.sstzdid,jdbcType=VARCHAR},
      SSTZDH = #{record.sstzdh,jdbcType=VARCHAR},
      SSJHXXID = #{record.ssjhxxid,jdbcType=VARCHAR},
      SSJHH = #{record.ssjhh,jdbcType=VARCHAR},
      SSHTXXID = #{record.sshtxxid,jdbcType=VARCHAR},
      SSHTBM = #{record.sshtbm,jdbcType=VARCHAR},
      STATUS = #{record.status,jdbcType=DECIMAL},
      CREATOR = #{record.creator,jdbcType=VARCHAR},
      CREATOR_CODE = #{record.creatorCode,jdbcType=VARCHAR},
      CREATE_DATE = #{record.createDate,jdbcType=TIMESTAMP},
      REFRESHER = #{record.refresher,jdbcType=VARCHAR},
      REFRESHER_CODE = #{record.refresherCode,jdbcType=VARCHAR},
      REFRESH_TIME = #{record.refreshTime,jdbcType=TIMESTAMP},
      REMARK = #{record.remark,jdbcType=VARCHAR}
    <if test="_parameter != null" >
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update> -->
  <!-- <update id="updateByPrimaryKeySelective" parameterType="com.unis.base.server.entity.TyCrkxxDO" >
    update TY_CRKXX
    <set >
      <if test="crkdh != null" >
        CRKDH = #{crkdh,jdbcType=VARCHAR},
      </if>
      <if test="crklx != null" >
        CRKLX = #{crklx,jdbcType=VARCHAR},
      </if>
      <if test="pzbm != null" >
        PZBM = #{pzbm,jdbcType=VARCHAR},
      </if>
      <if test="pzmc != null" >
        PZMC = #{pzmc,jdbcType=VARCHAR},
      </if>
      <if test="lsdjbm != null" >
        LSDJBM = #{lsdjbm,jdbcType=VARCHAR},
      </if>
      <if test="lsdjmc != null" >
        LSDJMC = #{lsdjmc,jdbcType=VARCHAR},
      </if>
      <if test="shnd != null" >
        SHND = #{shnd,jdbcType=VARCHAR},
      </if>
      <if test="lsgb != null" >
        LSGB = #{lsgb,jdbcType=VARCHAR},
      </if>
      <if test="lscd != null" >
        LSCD = #{lscd,jdbcType=VARCHAR},
      </if>
      <if test="qydbh != null" >
        QYDBH = #{qydbh,jdbcType=VARCHAR},
      </if>
      <if test="ypsldw != null" >
        YPSLDW = #{ypsldw,jdbcType=DECIMAL},
      </if>
      <if test="dbsldw != null" >
        DBSLDW = #{dbsldw,jdbcType=DECIMAL},
      </if>
      <if test="qydd != null" >
        QYDD = #{qydd,jdbcType=VARCHAR},
      </if>
      <if test="qyrbm != null" >
        QYRBM = #{qyrbm,jdbcType=VARCHAR},
      </if>
      <if test="qyrmc != null" >
        QYRMC = #{qyrmc,jdbcType=VARCHAR},
      </if>
      <if test="jyrq != null" >
        JYRQ = #{jyrq,jdbcType=TIMESTAMP},
      </if>
      <if test="jyyj != null" >
        JYYJ = #{jyyj,jdbcType=VARCHAR},
      </if>
      <if test="jyjg != null" >
        JYJG = #{jyjg,jdbcType=VARCHAR},
      </if>
      <if test="checkRemark != null" >
        CHECK_REMARK = #{checkRemark,jdbcType=VARCHAR},
      </if>
      <if test="czmz != null" >
        CZMZ = #{czmz,jdbcType=DECIMAL},
      </if>
      <if test="mzjbybm != null" >
        MZJBYBM = #{mzjbybm,jdbcType=VARCHAR},
      </if>
      <if test="mzjbymc != null" >
        MZJBYMC = #{mzjbymc,jdbcType=VARCHAR},
      </if>
      <if test="mzczsj != null" >
        MZCZSJ = #{mzczsj,jdbcType=TIMESTAMP},
      </if>
      <if test="czpz != null" >
        CZPZ = #{czpz,jdbcType=DECIMAL},
      </if>
      <if test="pzjbybm != null" >
        PZJBYBM = #{pzjbybm,jdbcType=VARCHAR},
      </if>
      <if test="pzjbymc != null" >
        PZJBYMC = #{pzjbymc,jdbcType=VARCHAR},
      </if>
      <if test="pzczsj != null" >
        PZCZSJ = #{pzczsj,jdbcType=TIMESTAMP},
      </if>
      <if test="czjz != null" >
        CZJZ = #{czjz,jdbcType=DECIMAL},
      </if>
      <if test="xckzl != null" >
        XCKZL = #{xckzl,jdbcType=DECIMAL},
      </if>
      <if test="hgkzl != null" >
        HGKZL = #{hgkzl,jdbcType=DECIMAL},
      </if>
      <if test="zzjszl != null" >
        ZZJSZL = #{zzjszl,jdbcType=DECIMAL},
      </if>
      <if test="zzjsje != null" >
        ZZJSJE = #{zzjsje,jdbcType=DECIMAL},
      </if>
      <if test="cyrdm != null" >
        CYRDM = #{cyrdm,jdbcType=VARCHAR},
      </if>
      <if test="cyrmc != null" >
        CYRMC = #{cyrmc,jdbcType=VARCHAR},
      </if>
      <if test="cyrdh != null" >
        CYRDH = #{cyrdh,jdbcType=VARCHAR},
      </if>
      <if test="cyrsfzh != null" >
        CYRSFZH = #{cyrsfzh,jdbcType=VARCHAR},
      </if>
      <if test="cyrdz != null" >
        CYRDZ = #{cyrdz,jdbcType=VARCHAR},
      </if>
      <if test="khdm != null" >
        KHDM = #{khdm,jdbcType=VARCHAR},
      </if>
      <if test="khmc != null" >
        KHMC = #{khmc,jdbcType=VARCHAR},
      </if>
      <if test="khssqydm != null" >
        KHSSQYDM = #{khssqydm,jdbcType=VARCHAR},
      </if>
      <if test="khssyqmc != null" >
        KHSSYQMC = #{khssyqmc,jdbcType=VARCHAR},
      </if>
      <if test="cfbh != null" >
        CFBH = #{cfbh,jdbcType=VARCHAR},
      </if>
      <if test="cfmc != null" >
        CFMC = #{cfmc,jdbcType=VARCHAR},
      </if>
      <if test="sskddm != null" >
        SSKDDM = #{sskddm,jdbcType=VARCHAR},
      </if>
      <if test="sskdmc != null" >
        SSKDMC = #{sskdmc,jdbcType=VARCHAR},
      </if>
      <if test="ssqydm != null" >
        SSQYDM = #{ssqydm,jdbcType=VARCHAR},
      </if>
      <if test="ssyqmc != null" >
        SSYQMC = #{ssyqmc,jdbcType=VARCHAR},
      </if>
      <if test="ysfs != null" >
        YSFS = #{ysfs,jdbcType=VARCHAR},
      </if>
      <if test="yscch != null" >
        YSCCH = #{yscch,jdbcType=VARCHAR},
      </if>
      <if test="crkdjsj != null" >
        CRKDJSJ = #{crkdjsj,jdbcType=TIMESTAMP},
      </if>
      <if test="cmdjsj != null" >
        CMDJSJ = #{cmdjsj,jdbcType=TIMESTAMP},
      </if>
      <if test="mgzsrxm != null" >
        MGZSRXM = #{mgzsrxm,jdbcType=VARCHAR},
      </if>
      <if test="sstzdid != null" >
        SSTZDID = #{sstzdid,jdbcType=VARCHAR},
      </if>
      <if test="sstzdh != null" >
        SSTZDH = #{sstzdh,jdbcType=VARCHAR},
      </if>
      <if test="ssjhxxid != null" >
        SSJHXXID = #{ssjhxxid,jdbcType=VARCHAR},
      </if>
      <if test="ssjhh != null" >
        SSJHH = #{ssjhh,jdbcType=VARCHAR},
      </if>
      <if test="sshtxxid != null" >
        SSHTXXID = #{sshtxxid,jdbcType=VARCHAR},
      </if>
      <if test="sshtbm != null" >
        SSHTBM = #{sshtbm,jdbcType=VARCHAR},
      </if>
      <if test="status != null" >
        STATUS = #{status,jdbcType=DECIMAL},
      </if>
      <if test="creator != null" >
        CREATOR = #{creator,jdbcType=VARCHAR},
      </if>
      <if test="creatorCode != null" >
        CREATOR_CODE = #{creatorCode,jdbcType=VARCHAR},
      </if>
      <if test="createDate != null" >
        CREATE_DATE = #{createDate,jdbcType=TIMESTAMP},
      </if>
      <if test="refresher != null" >
        REFRESHER = #{refresher,jdbcType=VARCHAR},
      </if>
      <if test="refresherCode != null" >
        REFRESHER_CODE = #{refresherCode,jdbcType=VARCHAR},
      </if>
      <if test="refreshTime != null" >
        REFRESH_TIME = #{refreshTime,jdbcType=TIMESTAMP},
      </if>
      <if test="remark != null" >
        REMARK = #{remark,jdbcType=VARCHAR},
      </if>
    </set>
    where CRKID = #{crkid,jdbcType=VARCHAR}
  </update> -->
  <update id="updateByPrimaryKey" parameterType="com.unis.base.server.entity.TyCrkxxDO" >
    update TY_CRKXX
    set CRKDH = #{crkdh,jdbcType=VARCHAR},
      CRKLX = #{crklx,jdbcType=VARCHAR},
      PZBM = #{pzbm,jdbcType=VARCHAR},
      PZMC = #{pzmc,jdbcType=VARCHAR},
      LSDJBM = #{lsdjbm,jdbcType=VARCHAR},
      LSDJMC = #{lsdjmc,jdbcType=VARCHAR},
      SHND = #{shnd,jdbcType=VARCHAR},
      LSGB = #{lsgb,jdbcType=VARCHAR},
      LSCD = #{lscd,jdbcType=VARCHAR},
      QYDBH = #{qydbh,jdbcType=VARCHAR},
      YPSLDW = #{ypsldw,jdbcType=DECIMAL},
      DBSLDW = #{dbsldw,jdbcType=DECIMAL},
      QYDD = #{qydd,jdbcType=VARCHAR},
      QYRBM = #{qyrbm,jdbcType=VARCHAR},
      QYRMC = #{qyrmc,jdbcType=VARCHAR},
      JYRQ = #{jyrq,jdbcType=TIMESTAMP},
      JYYJ = #{jyyj,jdbcType=VARCHAR},
      JYJG = #{jyjg,jdbcType=VARCHAR},
      CHECK_REMARK = #{checkRemark,jdbcType=VARCHAR},
      CZMZ = #{czmz,jdbcType=DECIMAL},
      MZJBYBM = #{mzjbybm,jdbcType=VARCHAR},
      MZJBYMC = #{mzjbymc,jdbcType=VARCHAR},
      MZCZSJ = #{mzczsj,jdbcType=TIMESTAMP},
      CZPZ = #{czpz,jdbcType=DECIMAL},
      PZJBYBM = #{pzjbybm,jdbcType=VARCHAR},
      PZJBYMC = #{pzjbymc,jdbcType=VARCHAR},
      PZCZSJ = #{pzczsj,jdbcType=TIMESTAMP},
      CZJZ = #{czjz,jdbcType=DECIMAL},
      XCKZL = #{xckzl,jdbcType=DECIMAL},
      HGKZL = #{hgkzl,jdbcType=DECIMAL},
      ZZJSZL = #{zzjszl,jdbcType=DECIMAL},
      ZZJSJE = #{zzjsje,jdbcType=DECIMAL},
      CYRDM = #{cyrdm,jdbcType=VARCHAR},
      CYRMC = #{cyrmc,jdbcType=VARCHAR},
      CYRDH = #{cyrdh,jdbcType=VARCHAR},
      CYRSFZH = #{cyrsfzh,jdbcType=VARCHAR},
      CYRDZ = #{cyrdz,jdbcType=VARCHAR},
      KHDM = #{khdm,jdbcType=VARCHAR},
      KHMC = #{khmc,jdbcType=VARCHAR},
      KHSSQYDM = #{khssqydm,jdbcType=VARCHAR},
      KHSSYQMC = #{khssyqmc,jdbcType=VARCHAR},
      CFBH = #{cfbh,jdbcType=VARCHAR},
      CFMC = #{cfmc,jdbcType=VARCHAR},
      SSKDDM = #{sskddm,jdbcType=VARCHAR},
      SSKDMC = #{sskdmc,jdbcType=VARCHAR},
      SSQYDM = #{ssqydm,jdbcType=VARCHAR},
      SSYQMC = #{ssyqmc,jdbcType=VARCHAR},
      YSFS = #{ysfs,jdbcType=VARCHAR},
      YSCCH = #{yscch,jdbcType=VARCHAR},
      CRKDJSJ = #{crkdjsj,jdbcType=TIMESTAMP},
      CMDJSJ = #{cmdjsj,jdbcType=TIMESTAMP},
      MGZSRXM = #{mgzsrxm,jdbcType=VARCHAR},
      SSTZDID = #{sstzdid,jdbcType=VARCHAR},
      SSTZDH = #{sstzdh,jdbcType=VARCHAR},
      SSJHXXID = #{ssjhxxid,jdbcType=VARCHAR},
      SSJHH = #{ssjhh,jdbcType=VARCHAR},
      SSHTXXID = #{sshtxxid,jdbcType=VARCHAR},
      SSHTBM = #{sshtbm,jdbcType=VARCHAR},
      STATUS = #{status,jdbcType=DECIMAL},
      CREATOR = #{creator,jdbcType=VARCHAR},
      CREATOR_CODE = #{creatorCode,jdbcType=VARCHAR},
      CREATE_DATE = #{createDate,jdbcType=TIMESTAMP},
      REFRESHER = #{refresher,jdbcType=VARCHAR},
      REFRESHER_CODE = #{refresherCode,jdbcType=VARCHAR},
      REFRESH_TIME = #{refreshTime,jdbcType=TIMESTAMP},
      REMARK = #{remark,jdbcType=VARCHAR}
    where CRKID = #{crkid,jdbcType=VARCHAR}
  </update>
  
  <select id="selectPageList" parameterType="com.unis.base.common.vo.TyCrkxxPageVO" resultType="com.unis.base.common.vo.TyCrkxxPageVO">
	select
		ht.htbh,
		ht.htzsl,
		ht.jfkdbm,
		ht.jfkdmc,
		ht.yfkdbm,
		ht.yfkdmc,
		crk.pzmc,
		crk.crkid,
		crk.crkdh
	from
	ty_crkxx crk
	join ty_htxx ht on ht.htbh = crk.sshtbm
	<where>
		<if test="htbh != null and htbh != ''">
			and ht.htbh = #{htbh}
		</if>
		<if test="pzbm != null and pzbm != ''">
			and crk.pzbm = #{pzbm}
		</if>
		<if test="jfkdmc != null and jfkdmc != ''">
			and ht.jfkdmc = #{jfkdmc}
		</if>
		<if test="yfkdmc != null and yfkdmc != ''">
			and ht.yfkdmc = #{yfkdmc}
		</if>
		<if test="yfkdmc != null and yfkdmc != ''">
			and ht.yfkdmc = #{yfkdmc}
		</if>
	</where>
  </select>
</mapper>